ENV["RAILS_ENV"] ||= 'test'

require File.expand_path("../test_app/config/environment", __FILE__)

require 'bundler/setup'
require 'simplecov'

SimpleCov.start do
  add_filter '/spec'
end

require 'rspec/rails'
require 'clicksign/webhooks'

Dir[
  File.expand_path('../support/**/*.rb', __FILE__)
].each { |f| require f }

RSpec.configure do |config|
  # Enable flags like --only-failures and --next-failure
  config.example_status_persistence_file_path = ".rspec_status"

  # Disable RSpec exposing methods globally on `Module` and `main`
  config.disable_monkey_patching!

  config.expect_with :rspec do |c|
    c.syntax = :expect
  end
end
